// ZSCPascalEditorView.cpp: implementation of the CZSCAsmEditorView class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "zscpascal.h"
#include "ZSCAsmEditorView.h"
#include "ZSCAsmEditorDoc.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

IMPLEMENT_DYNCREATE(CZSCAsmEditorView, CCrystalEditView)

BEGIN_MESSAGE_MAP(CZSCAsmEditorView, CCrystalEditView)
	//{{AFX_MSG_MAP(CSampleView)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CCrystalEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CCrystalEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CCrystalEditView::OnFilePrintPreview)
END_MESSAGE_MAP()
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CZSCAsmEditorView::CZSCAsmEditorView()
{

}

CZSCAsmEditorView::~CZSCAsmEditorView()
{

}

CCrystalTextBuffer * CZSCAsmEditorView::LocateTextBuffer()
{
	return &((CZSCAsmEditorDoc*)GetDocument())->m_TextBuffer;

}

void CZSCAsmEditorView::OnInitialUpdate() 
{
	CCrystalEditView::OnInitialUpdate();

	SetFont(((CZSCAsmEditorDoc *)GetDocument())->m_lf);
}