// ZSCPascalEditorDoc.h : interface of the CZSCPascalEditorDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ZSCPascalEditorDOC_H__EDDE6D4F_C472_11D1_8635_00403395B157__INCLUDED_)
#define AFX_ZSCPascalEditorDOC_H__EDDE6D4F_C472_11D1_8635_00403395B157__INCLUDED_

#include "CCrystalTextBuffer.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


class CZSCPascalEditorDoc : public CDocument
{
protected: // create from serialization only
	CZSCPascalEditorDoc();
	DECLARE_DYNCREATE(CZSCPascalEditorDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZSCPascalEditorDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);
	virtual void DeleteContents();
	//}}AFX_VIRTUAL

// Implementation
public:
	LOGFONT m_lf;
	CCrystalTextBuffer m_TextBuffer;
	virtual ~CZSCPascalEditorDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CZSCPascalEditorDoc)
	afx_msg void OnCompilerLexicalanalyzer();
	afx_msg void OnCompilerSintsemanalyzer();
	afx_msg void OnCompilerCompilerun();
	afx_msg void OnCompilerCompile();
	afx_msg void OnCompilerTrace();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZSCPascalEditorDOC_H__EDDE6D4F_C472_11D1_8635_00403395B157__INCLUDED_)
